Bug 214219 - cvs seems no longer supported
cvs seems no longer supported
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdevelop (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-06 12:38 EST by Phil
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: kdevelop-3.5.0-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 08:36:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil 2006-11-06 12:38:37 EST
Description of problem:
KDevelop shipped with fc6 no longer supports cvs repositories.

Version-Release number of selected component (if applicable):
3.3.5-0.1

How reproducible:
always.

Steps to Reproduce:
1. open a kdevelop project that uses cvs for version control
2. right click on a file

Actual results:
There's no "cvs" menu item

Expected results:
There should be a "cvs" menu item
Comment 1 Jerry Amundson 2007-01-02 13:09:25 EST
For new projects, there is also no CVS option in the Version Control System part
of the wizard. Quite annoying...
Comment 2 Jerry Amundson 2007-01-02 13:36:15 EST
Same problem with "kdevelop.i386 9:3.3.4-1.fc6".
Comment 3 Jerry Amundson 2007-01-02 21:13:39 EST
FWIW, CVS is just fine with kdevelop3-3.3.1-17 on Suse 10.1.
Comment 4 Phil 2007-01-03 04:08:48 EST
it's working fine with kdevelop-3.3.5-0.1.fc5 - install the FC5 package as
workaround.
Comment 5 Phil 2007-02-14 14:43:22 EST
I'm really disappointed.
kdevelop-3.3.6-0.1.fc6 has just been released and still no cvs support!
Comment 6 Phil 2007-07-18 11:34:05 EDT
Yet no cvs support (9:3.4.1-1.fc7). Why?
Comment 7 Rex Dieter 2007-11-18 14:10:59 EST
Guess the answer till now is (still) "we don't know".  Please update to the
latest release (kde-3.5.8/kdevelop-3.5.0) to confirm whether the issue still
exists. 
Comment 8 Phil 2007-11-19 17:59:54 EST
kdevelop-3.5.0-4.fc7 and ~.fc8 both support svn and cvs. Thanks!
Comment 9 Rex Dieter 2007-11-20 08:36:18 EST
Thanks.

Note You need to log in before you can comment on or make changes to this bug.